summaryrefslogtreecommitdiffstats
path: root/office/texlive-extra/texlive-extra.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/texlive-extra/texlive-extra.SlackBuild')
-rw-r--r--office/texlive-extra/texlive-extra.SlackBuild24
1 files changed, 13 insertions, 11 deletions
diff --git a/office/texlive-extra/texlive-extra.SlackBuild b/office/texlive-extra/texlive-extra.SlackBuild
index 4faa70f884..c2cd1d0c75 100644
--- a/office/texlive-extra/texlive-extra.SlackBuild
+++ b/office/texlive-extra/texlive-extra.SlackBuild
@@ -4,7 +4,7 @@
# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
# Copyright 2009 - 2014 Robby Workman, Northport, AL, USA
-# Copyright 2016 - 2019 Johannes Schoepfer, Germany
+# Copyright 2016 - 2020 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=texlive-extra
-VERSION=${VERSION:-2019.190626}
+VERSION=${VERSION:-2020.200608}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -34,6 +34,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+set -e
+
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -42,27 +44,27 @@ if [ -z "$ARCH" ]; then
esac
fi
-set -e
+TEXMFROOT=/usr/share
rm -rf $PKG
-mkdir -p $TMP $PKG/usr/share $OUTPUT $PKG/usr/bin $PKG/usr/doc/texlive-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG/usr/share
+mkdir -p $TMP $PKG$TEXMFROOT $OUTPUT $PKG/usr/bin $PKG/usr/doc/texlive-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz -C $PKG$TEXMFROOT
chown -R root:root $PKG
chmod -R u+w,go-w,a+rX-st $PKG
# Put symlinks/scripts from tlnet in place
-mv $PKG/usr/share/texmf-dist/linked_scripts/* $PKG/usr/bin
-rmdir $PKG/usr/share/texmf-dist/linked_scripts
+mv $PKG$TEXMFROOT/texmf-dist/linked_scripts/* $PKG/usr/bin
+rmdir $PKG$TEXMFROOT/texmf-dist/linked_scripts
# Move biber binary to $PATH
case $ARCH in
- "x86_64") mv $PKG/usr/share/texmf-dist/bin/x86_64-linux/biber $PKG/usr/bin ;;
- "i586") mv $PKG/usr/share/texmf-dist/bin/i386-linux/biber $PKG/usr/bin ;;
+ "x86_64") mv $PKG$TEXMFROOT/texmf-dist/bin/x86_64-linux/biber $PKG/usr/bin ;;
+ "i586") mv $PKG$TEXMFROOT/texmf-dist/bin/i386-linux/biber $PKG/usr/bin ;;
esac
-rm -rf $PKG/usr/share/texmf-dist/bin
+rm -rf $PKG$TEXMFROOT/texmf-dist/bin
# Install index of provided tex packages to the docs
-mv $PKG/usr/share/texmf-dist/packages.extra.gz $PKG/usr/doc/texlive-$VERSION
+mv $PKG$TEXMFROOT/texmf-dist/packages.extra.gz $PKG/usr/doc/texlive-$VERSION
mkdir -p $PKG/install
cat $CWD/doinst.sh > $PKG/install/doinst.sh